Fedora Linux Support Community & Resources Center
  #1  
Old 27th July 2015, 04:25 AM
victor2015 Offline
Registered User
 
Join Date: Jul 2015
Location: Canada
Posts: 8
linuxfedorafirefox
32bit Skype on 64bit Fedora 22?

Good day everyone,

I've got Fedora 22 KDE spin 64-bit system. Today I tried to install Skype following instructions on this site:

http://www.if-not-true-then-false.co...ific-linux-sl/

Code:
dnf install alsa-lib.i686 fontconfig.i686 freetype.i686 glib2.i686 libSM.i686 libXScrnSaver.i686 libXi.i686 libXrandr.i686 libXrender.i686 libXv.i686 libstdc++.i686 pulseaudio-libs.i686 qt.i686 qt-x11.i686 zlib.i686 qtwebkit.i686
Unfortunately, when executing the command that installs all dependencies for Fedora 22 I got following errors:

Code:
Error: Transaction check error:
  file /usr/share/gcc-5.1.1/python/libstdcxx/v6/printers.py from install of libstdc++-5.1.1-4.fc22.i686 conflicts with file from package libstdc++-5.1.1-1.fc22.x86_64
.....
Such error message was for each dpenednecy I specified. Apparently, there is a conflict with 32 and 64bit packages, but is there a way to ignore or force installation of 32 bit anyways? Is there some other way to fix these errors so I can install Skype?

Another thing - I was under the impression that Fedora has a better way of finding and resolving required dependencies? Am I incorrect thinking that Fedora is better at resolving dependncies? I use Gentoo also and found it the best at resolving dependencies among all other distros I tried and thought that Fedora works in the same way. Was I mistaken?

Thanks,
Victor.
  #2  
Old 27th July 2015, 04:41 AM
rbrick49 Offline
Registered User
 
Join Date: Jun 2011
Location: Thailand
Age: 68
Posts: 316
linuxfirefox
Re: 32bit Skype on 64bit Fedora 22?

use easy life its in the fedora setup guides at the top of this page
__________________
asrock z97 motherboard,intel i7 4770 cpu,samsung 34 in curved monitor,asus xonar d2x sound card,32g ram, sda manjaro deepin,sdb fedora 25 workstation,sde maui linux
  #3  
Old 27th July 2015, 09:58 AM
victor2015 Offline
Registered User
 
Join Date: Jul 2015
Location: Canada
Posts: 8
linuxfedorafirefox
Re: 32bit Skype on 64bit Fedora 22?

Hi,

Looks like a handy tool but I am still getting conflict messages when installing Skype with easylife tool:

Code:
Total                                                                                                                                   641 kB/s |  42 MB     01:06     
Running transaction check
Transaction check succeeded.
Running transaction test
Error: Transaction check error:
  file /usr/share/gcc-5.1.1/python/libstdcxx/v6/printers.py from install of libstdc++-5.1.1-4.fc22.i686 conflicts with file from package libstdc++-5.1.1-1.fc22.x86_64
  file /usr/share/gcc-5.1.1/python/libstdcxx/v6/printers.pyc from install of libstdc++-5.1.1-4.fc22.i686 conflicts with file from package libstdc++-5.1.1-1.fc22.x86_64
  file /usr/share/gcc-5.1.1/python/libstdcxx/v6/printers.pyo from install of libstdc++-5.1.1-4.fc22.i686 conflicts with file from package libstdc++-5.1.1-1.fc22.x86_64
  file /usr/share/gcc-5.1.1/python/libstdcxx/v6/xmethods.py from install of libstdc++-5.1.1-4.fc22.i686 conflicts with file from package libstdc++-5.1.1-1.fc22.x86_64
  file /usr/share/gcc-5.1.1/python/libstdcxx/v6/xmethods.pyc from install of libstdc++-5.1.1-4.fc22.i686 conflicts with file from package libstdc++-5.1.1-1.fc22.x86_64
  file /usr/share/gcc-5.1.1/python/libstdcxx/v6/xmethods.pyo from install of libstdc++-5.1.1-4.fc22.i686 conflicts with file from package libstdc++-5.1.1-1.fc22.x86_64
  file /usr/share/doc/fontconfig/README from install of fontconfig-2.11.94-1.fc22.i686 conflicts with file from package fontconfig-2.11.93-2.fc22.x86_64
  file /usr/share/fontconfig/conf.avail/10-scale-bitmap-fonts.conf from install of fontconfig-2.11.94-1.fc22.i686 conflicts with file from package fontconfig-2.11.93-2.fc22.x86_64
  file /usr/share/doc/fontconfig/fontconfig-user.html from install of fontconfig-2.11.94-1.fc22.i686 conflicts with file from package fontconfig-2.11.93-2.fc22.x86_64
  file /usr/share/doc/fontconfig/fontconfig-user.txt from install of fontconfig-2.11.94-1.fc22.i686 conflicts with file from package fontconfig-2.11.93-2.fc22.x86_64
  file /usr/share/man/man1/fc-query.1.gz from install of fontconfig-2.11.94-1.fc22.i686 conflicts with file from package fontconfig-2.11.93-2.fc22.x86_64
  file /usr/share/man/man1/fc-scan.1.gz from install of fontconfig-2.11.94-1.fc22.i686 conflicts with file from package fontconfig-2.11.93-2.fc22.x86_64
  file /usr/share/man/man5/fonts-conf.5.gz from install of fontconfig-2.11.94-1.fc22.i686 conflicts with file from package fontconfig-2.11.93-2.fc22.x86_64
  file /usr/share/locale/de/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.163-1.fc22.i686 conflicts with file from package elfutils-libelf-0.161-6.fc22.x86_64
  file /usr/share/locale/en@boldquot/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.163-1.fc22.i686 conflicts with file from package elfutils-libelf-0.161-6.fc22.x86_64
  file /usr/share/locale/en@quot/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.163-1.fc22.i686 conflicts with file from package elfutils-libelf-0.161-6.fc22.x86_64
  file /usr/share/locale/es/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.163-1.fc22.i686 conflicts with file from package elfutils-libelf-0.161-6.fc22.x86_64
  file /usr/share/locale/ja/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.163-1.fc22.i686 conflicts with file from package elfutils-libelf-0.161-6.fc22.x86_64
  file /usr/share/locale/pl/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.163-1.fc22.i686 conflicts with file from package elfutils-libelf-0.161-6.fc22.x86_64
  file /usr/share/locale/uk/LC_MESSAGES/elfutils.mo from install of elfutils-libelf-0.163-1.fc22.i686 conflicts with file from package elfutils-libelf-0.161-6.fc22.x86_64
  file /usr/share/doc/pam/Linux-PAM_SAG.txt from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/doc/pam/html/sag-pam_exec.html from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/doc/pam/html/sag-pam_unix.html from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/doc/pam/txts/README.pam_exec from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/doc/pam/txts/README.pam_unix from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/man/man5/limits.conf.5.gz from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/man/man8/faillock.8.gz from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/man/man8/pam_env.8.gz from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/man/man8/pam_exec.8.gz from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/man/man8/pam_faillock.8.gz from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/man/man8/pam_loginuid.8.gz from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/man/man8/pam_unix.8.gz from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/man/man8/pam_userdb.8.gz from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64
  file /usr/share/man/man8/pwhistory_helper.8.gz from install of pam-1.1.8-19.fc22.i686 conflicts with file from package pam-1.1.8-18.fc22.x86_64

Error Summary
-------------


        Package not installed   [   FAIL   ]

[Terminate]


(yad:30387): GLib-GObject-WARNING **: The property GtkButton:use-stock is deprecated and shouldn't be used anymore. It will be removed in a future version.

(yad:30387): GLib-GObject-WARNING **: The property GtkSettings:gtk-button-images is deprecated and shouldn't be used anymore. It will be removed in a future version.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Any ideas?
  #4  
Old 30th July 2015, 02:53 PM
pincette Offline
Registered User
 
Join Date: Jul 2015
Location: Minsk
Posts: 1
linuxfedorafirefox
Re: 32bit Skype on 64bit Fedora 22?

Quote:
Originally Posted by victor2015 View Post
Apparently, there is a conflict with 32 and 64bit packages, but is there a way to ignore or force installation of 32 bit anyways? Is there some other way to fix these errors so I can install Skype?

Another thing - I was under the impression that Fedora has a better way of finding and resolving required dependencies? Am I incorrect thinking that Fedora is better at resolving dependncies? I use Gentoo also and found it the best at resolving dependencies among all other distros I tried and thought that Fedora works in the same way. Was I mistaken?

Thanks,
Victor.
Hi, Victor. I guess in this case, to install these i686 dependencies you have to uninstall their x86_64 versions. But always specify full name of the conflicting package, i.e. 'pam-1.1.8-18.fc22.x86_64' instead of 'pam' or 'pam-1.1.8-18'. This helped me to uninstall conflicting packages, install needed dependencies and skype_x86 itself
  #5  
Old 30th July 2015, 07:12 PM
victor2015 Offline
Registered User
 
Join Date: Jul 2015
Location: Canada
Posts: 8
linuxfirefox
Re: 32bit Skype on 64bit Fedora 22?

Quote:
Originally Posted by pincette View Post
Hi, Victor. I guess in this case, to install these i686 dependencies you have to uninstall their x86_64 versions. But always specify full name of the conflicting package, i.e. 'pam-1.1.8-18.fc22.x86_64' instead of 'pam' or 'pam-1.1.8-18'. This helped me to uninstall conflicting packages, install needed dependencies and skype_x86 itself
I'll do that. Thanks!
  #6  
Old 31st July 2015, 02:07 AM
victor2015 Offline
Registered User
 
Join Date: Jul 2015
Location: Canada
Posts: 8
linuxfedorafirefox
Re: 32bit Skype on 64bit Fedora 22?

Got Skype installed. Thanks again pincette! Now I know what to do with such errors in the future.
  #7  
Old 31st July 2015, 08:06 AM
ozjd Offline
Registered User
 
Join Date: Feb 2008
Location: Sydney Australia
Age: 62
Posts: 2,552
linuxchrome
Re: 32bit Skype on 64bit Fedora 22?

Did you d a full update before you started?
  #8  
Old 1st August 2015, 01:52 AM
victor2015 Offline
Registered User
 
Join Date: Jul 2015
Location: Canada
Posts: 8
linuxfedorafirefox
Re: 32bit Skype on 64bit Fedora 22?

Quote:
Originally Posted by ozjd View Post
Did you d a full update before you started?
Noted. Thank you.
  #9  
Old 19th November 2016, 12:31 PM
CzechAirlines Offline
Registered User
 
Join Date: Oct 2016
Location: Czech Republic
Posts: 17
linuxchrome
Re: 32bit Skype on 64bit Fedora 22?

Quote:
Originally Posted by pincette View Post
Hi, Victor. I guess in this case, to install these i686 dependencies you have to uninstall their x86_64 versions. But always specify full name of the conflicting package, i.e. 'pam-1.1.8-18.fc22.x86_64' instead of 'pam' or 'pam-1.1.8-18'. This helped me to uninstall conflicting packages, install needed dependencies and skype_x86 itself
Hi, pincette!
I seem to have the same as the author of this post, but I can't understand your answer.

Here is the short output of the EasyLife attempt to install Skype (it's much more bigger in fact)
Code:
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/share/doc/glibc/NEWS from install of glibc-2.23.1-11.fc24.i686 conflicts with file from package glibc-2.23.1-7.fc24.x86_64
  file /usr/share/doc/libgpg-error/NEWS from install of libgpg-error-1.24-1.fc24.i686 conflicts with file from package libgpg-error-1.21-2.fc24.x86_64
  file /usr/share/doc/libgpg-error/NEWS from install of libgpg-error-1.24-1.fc24.i686 conflicts with file from package libgpg-error-1.21-2.fc24.x86_64
  file /usr/share/doc/libidn/FAQ from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64
  file /usr/share/locale/fr/LC_MESSAGES/libidn.mo from install of libidn-1.33-1.fc24.i686 conflicts with file from package libidn-1.32-2.fc24.x86_64

Error Summary
Can you please specify how can I install all needed packages? Just manually searching all this packages ?
For example sudo dnf install alsa-lib<Tab><Tab> and the install only those, that ends on fc24.x86_64 ?
Thank you!
  #10  
Old 19th November 2016, 12:35 PM
antikythera Offline
Administrator
 
Join Date: Dec 2013
Location: United Kingdom
Posts: 4,805
linuxchrome
Re: 32bit Skype on 64bit Fedora 22?

Please open a new thread, this is way out of date. You may have a similar issue but anything posted here probably won't work any more. Both Skype for Linux and Fedora have changed a lot since August last year.
__________________
Download, Install and Share Fedora - Official ISO Torrents | Live ISO Respins containing post-release updates
Closed Thread

Tags
32bit, 64bit, fedora, skype

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] How to install Skype - Fedora 13(32bit) kalpet89 Using Fedora 2 27th September 2010 07:36 PM
Running 32bit Apps on 64Bit Fedora 11 gilly1409 Using Fedora 5 28th March 2010 11:37 PM
Fedora 11 32bit or 64bit for VMWare Fusion? pamount Using Fedora 0 22nd October 2009 02:16 PM
Fedora 11 mtrr 3 not used 32Bit/64Bit Stephengp Using Fedora 3 15th September 2009 06:51 PM
Fedora 8 - 64bit or 32bit ziggy25 Using Fedora 27 4th December 2007 08:39 AM


Current GMT-time: 15:32 (Wednesday, 23-08-2017)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat